Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jcontrol.comm.nv
Class NetworkVariableEvent

    java.lang.Object
      jcontrol.comm.nv.NetworkVariableEvent

    public class NetworkVariableEvent

extends Object

This class represents a change of status or value of a network variable. NetworkVariableEvents can be obtained by attaching a `NetworkVariableListener` to a `NetworkVariable`.

Field Summary
`static int` | `UPDATED` updated, either remotely or locally
`static int` | `UPDATED_LOCALLY` set if the NV was updated locally
`static int` | `UPDATED_REMOTELY` set if the NV was updated remotely
`static int` | `VALUE_CHANGED` Event type: value has effectively changed

Constructor Summary
`NetworkVariableEvent()` empty constructor
`NetworkVariableEvent(NetworkVariable networkVariable, int type)` Creates a new event.

Method Summary
`NetworkVariable` | `getNetworkVariable()` Returns the associated network variable.
`int` | `getType()` Returns the network variable event type.

Methods inherited from class java.lang.Object
`clone, equals, getClass, notifyAll, toString, wait`

Field Detail

### VALUE_CHANGED

    public static final int VALUE_CHANGED

  Event type: value has effectively changed

  See Also:
    Constant Field Values

### UPDATED_REMOTELY

    public static final int UPDATED_REMOTELY

  set if the NV was updated remotely

  See Also:
    Constant Field Values

### UPDATED_LOCALLY

    public static final int UPDATED_LOCALLY

  set if the NV was updated locally

  See Also:
    Constant Field Values

### UPDATED

    public static final int UPDATED

  updated, either remotely or locally

  See Also:
    Constant Field Values

Constructor Detail

### NetworkVariableEvent

    public NetworkVariableEvent(NetworkVariable networkVariable,
                                int type)

  Creates a new event.

  Parameters:
    `networkVariable` - producer
    `type` - network variable event type (a combination of VALUE_CHANGED, UPDATED_REMOTELY and UPDATED_LOCALLY)
  See Also:
    `VALUE_CHANGED`, `UPDATED_REMOTELY`, `UPDATED_LOCALLY`

### NetworkVariableEvent

    public NetworkVariableEvent()

  empty constructor

Method Detail

### getType

    public int getType()

  Returns the network variable event type.

  Returns:
    network variable event type (a combination of VALUE_CHANGED, UPDATED_REMOTELY and UPDATED_LOCALLY)
  See Also:
    `VALUE_CHANGED`, `UPDATED_REMOTELY`, `UPDATED_LOCALLY`

### getNetworkVariable

    public NetworkVariable getNetworkVariable()

  Returns the associated network variable.

  Returns:
    network variable

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD